import * as $dara from '@darabonba/typescript';
export declare class DescribeVpnGatewayAvailableZonesResponseBodyAvailableZoneIdList extends $dara.Model {
    /**
     * @remarks
     * The zone ID.
     *
     * @example
     * cn-hangzhou-h
     */
    zoneId?: string;
    /**
     * @remarks
     * The zone name.
     *
     * @example
     * cn-hangzhou-h
     */
    zoneName?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpnGatewayAvailableZonesResponseBody extends $dara.Model {
    /**
     * @remarks
     * The zones.
     */
    availableZoneIdList?: DescribeVpnGatewayAvailableZonesResponseBodyAvailableZoneIdList[];
    /**
     * @remarks
     * The region ID.
     *
     * @example
     * cn-hangzhou
     */
    regionId?: string;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 29784052-931F-543D-A612-36B3838163FA
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
